# FieldGroup Class Reference
[Dynamic query builder]

Inheritance diagram for FieldGroup:
[legend]

List of all members.

## Public Member Functions

| add (Castable $field)
| toDialectString (Dialect $dialect)

## Private Attributes

| $list = array()

## Detailed Description

Definition at line 15 of file FieldGroup.class.php.

## Member Function Documentation

FieldGroup::add | ( | Castable $ | field | ) |

Returns:
  FieldGroup

Definition at line 22 of file FieldGroup.class.php.

FieldGroup::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 29 of file FieldGroup.class.php.

## Member Data Documentation

FieldGroup::$list = array()`[private]`

Definition at line 17 of file FieldGroup.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/FieldGroup.class.php